Package com.massivecraft.factions.zcore.persist

## Class MemoryFactions

- java.lang.Object
- - com.massivecraft.factions.Factions
  - - com.massivecraft.factions.zcore.persist.MemoryFactions

Direct Known Subclasses:
  `JSONFactions`

    public abstract class MemoryFactions
    extends Factions

### Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`java.util.Map<java.lang.String,​Faction>` | `factions` |
`int` | `nextId` |

### Fields inherited from class com.massivecraft.factions.Factions

`instance`

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`MemoryFactions()` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`abstract void` | `convertFrom​(MemoryFactions old)` |
`Faction` | `createFaction()` |
`abstract Faction` | `generateFactionObject()` |
`abstract Faction` | `generateFactionObject​(java.lang.String string)` |
`java.util.ArrayList<Faction>` | `getAllFactions()` |
`Faction` | `getBestTagMatch​(java.lang.String start)` |
`Faction` | `getByTag​(java.lang.String str)` |
`Faction` | `getFactionById​(java.lang.String id)` |
`java.util.Set<java.lang.String>` | `getFactionTags()` |
`Faction` | `getNone()` |
`Faction` | `getSafeZone()` |
`Faction` | `getWarZone()` |
`Faction` | `getWilderness()` |
`boolean` | `isTagTaken​(java.lang.String str)` |
`boolean` | `isValidFactionId​(java.lang.String id)` |
`void` | `load()` |
`void` | `removeFaction​(java.lang.String id)` |

### Methods inherited from class com.massivecraft.factions.Factions

`forceSave, forceSave, getInstance`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### factions

    public final java.util.Map<java.lang.String,​Faction> factions

#### nextId

    public int nextId

### Constructor Detail

#### MemoryFactions

    public MemoryFactions()

### Method Detail

#### load

    public void load()

Specified by:
  `load` in class `Factions`

#### getFactionById

    public Faction getFactionById​(java.lang.String id)

Specified by:
  `getFactionById` in class `Factions`

#### generateFactionObject

    public abstract Faction generateFactionObject​(java.lang.String string)

#### getByTag

    public Faction getByTag​(java.lang.String str)

Specified by:
  `getByTag` in class `Factions`

#### getBestTagMatch

    public Faction getBestTagMatch​(java.lang.String start)

Specified by:
  `getBestTagMatch` in class `Factions`

#### isTagTaken

    public boolean isTagTaken​(java.lang.String str)

Specified by:
  `isTagTaken` in class `Factions`

#### isValidFactionId

    public boolean isValidFactionId​(java.lang.String id)

Specified by:
  `isValidFactionId` in class `Factions`

#### createFaction

    public Faction createFaction()

Specified by:
  `createFaction` in class `Factions`

#### getFactionTags

    public java.util.Set<java.lang.String> getFactionTags()

Specified by:
  `getFactionTags` in class `Factions`

#### generateFactionObject

    public abstract Faction generateFactionObject()

#### removeFaction

    public void removeFaction​(java.lang.String id)

Specified by:
  `removeFaction` in class `Factions`

#### getAllFactions

    public java.util.ArrayList<Faction> getAllFactions()

Specified by:
  `getAllFactions` in class `Factions`

#### getNone

    public Faction getNone()

Specified by:
  `getNone` in class `Factions`

#### getWilderness

    public Faction getWilderness()

Specified by:
  `getWilderness` in class `Factions`

#### getSafeZone

    public Faction getSafeZone()

Specified by:
  `getSafeZone` in class `Factions`

#### getWarZone

    public Faction getWarZone()

Specified by:
  `getWarZone` in class `Factions`

#### convertFrom

    public abstract void convertFrom​(MemoryFactions old)